List SSH keys
curl --request GET \
--url https://api.gcore.com/storage/provisioning/v1/key \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v1/key"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v1/key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key"
}
],
"meta": {
"ToMeta": {}
}
}{
"error": "<string>"
}SSHKeys
List SSH keys
deprecated
Returns all SSH public keys for SFTP storage access. These keys enable passwordless authentication to SFTP storages.
GET
/
storage
/
provisioning
/
v1
/
key
List SSH keys
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Number of records to skip before beginning to write in response.
Required range:
x >= 0Max number of records in response
Required range:
1 <= x <= 1000Field name to sort by
Ascending or descending order
Available options:
asc, desc Was this page helpful?